{-# LANGUAGE CPP               #-}
{-# LANGUAGE OverloadedStrings #-}

#if __GLASGOW_HASKELL__ <= 784
import           Control.Applicative
#endif
import           Test.Hspec
import           Test.Hspec.Dirstream

main :: IO ()
main = hspec $ parallel $ do
    describe "testFiles" $
            testFiles "test/data" (hasExtension "hs") ((pure :: a -> Either String a) . tail)
    describe "testFilesIO" $
            testFilesIO "test/data" (hasExtension "hs") (pure . tail)
